Bug 850970 - [abrt] claws-mail-3.8.0-3.fc17: mainwindow_key_pressed: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.8.0-3.fc17: mainwindow_key_pressed: Process /usr/bin/claw...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:8a275fca804bce1208c70bcfc02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 19:02 EDT by Lars Schotte
Modified: 2013-07-31 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (4.88 KB, text/plain)
2012-08-22 19:02 EDT, Lars Schotte
no flags Details
File: coredump (17.48 MB, text/plain)
2012-08-22 19:05 EDT, Lars Schotte
no flags Details
File: core_backtrace (5.43 KB, text/plain)
2012-08-22 19:05 EDT, Lars Schotte
no flags Details
File: dso_list (11.31 KB, text/plain)
2012-08-22 19:05 EDT, Lars Schotte
no flags Details
File: maps (56.01 KB, text/plain)
2012-08-22 19:05 EDT, Lars Schotte
no flags Details
File: backtrace (45.12 KB, text/plain)
2012-08-22 19:05 EDT, Lars Schotte
no flags Details

  None (edit)
Description Lars Schotte 2012-08-22 19:02:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        claws-mail
crash_function: mainwindow_key_pressed
executable:     /usr/bin/claws-mail
kernel:         3.5.1-1.fc17.x86_64
pid:            13235
pwd:            /home/vanessa
remote_result:  NOTFOUND
time:           Thu 16 Aug 2012 12:33:58 PM CEST
uid:            1000

backtrace:      Text file, 46202 bytes
build_ids:      Text file, 5002 bytes
core_backtrace: Text file, 5564 bytes
dso_list:       Text file, 11582 bytes
maps:           Text file, 57352 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vanessa/5

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15615                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15615                15615                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Aug 16 12:33:58 hana kernel: [83621.472512] claws-mail[13235]: segfault at 2b600000682 ip 00000000004f8812 sp 00007fffa5397890 error 4 in claws-mail[400000+325000]
:Aug 16 12:33:59 hana abrt[13591]: Saved core dump of pid 13235 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-08-16-12:33:58-13235 (18333696 bytes)
Comment 1 Lars Schotte 2012-08-22 19:02:40 EDT
Created attachment 606414 [details]
File: build_ids
Comment 2 Lars Schotte 2012-08-22 19:05:47 EDT
Created attachment 606415 [details]
File: coredump
Comment 3 Lars Schotte 2012-08-22 19:05:52 EDT
Created attachment 606416 [details]
File: core_backtrace
Comment 4 Lars Schotte 2012-08-22 19:05:54 EDT
Created attachment 606417 [details]
File: dso_list
Comment 5 Lars Schotte 2012-08-22 19:05:57 EDT
Created attachment 606418 [details]
File: maps
Comment 6 Lars Schotte 2012-08-22 19:05:59 EDT
Created attachment 606419 [details]
File: backtrace
Comment 7 Michael Schwendt 2012-08-23 06:30:29 EDT
Whatever you may have done prior to the crash, please don't forget to include such information and whether the problem is reproducible.

Can you reproduce it with Claws Mail 3.8.1 in updates-testing?


#0  0x00000000004f8812 in mainwindow_key_pressed (widget=widget@entry=0x2957050 [GtkWindow], event=0x2ca2a60, data=data@entry=0x2952b80) at mainwindow.c:1333
[...]
#18 0x00000000005cc3ce in plugin_unload (plugin=plugin@entry=0x2c48ae0) at plugin.c:482
#19 0x00000000005cc5be in plugin_unload_all (type=type@entry=0x647da5 "GTK2") at plugin.c:552
#20 0x0000000000445f28 in exit_claws (mainwin=0x2952b80) at main.c:1758
#21 0x00000000004f36dd in clean_quit (data=<optimized out>) at main.c:2150
[...]
Comment 8 Lars Schotte 2012-08-23 07:15:20 EDT
sorry, i can not reproduce it, at least i do not know how.

when i remember right, it crashed just after start so, there must have been busy I/O and he checked mail on start and i clicked on the inbox while he was checking it.

however, such crashes on concurrent I/O happen often with claws-mail. i am using claws-mail for some time now and i experienced a lot of them already, but they are not critical, because you just restart it and then it works. i never had lost data or such. that's why claws-mail is my favourite mail client. it crashes less ofthen then the others and is FAR more reliable ;-)
Comment 9 Michael Schwendt 2013-02-28 04:26:57 EST
Such issues are best reported directly into the upstream bug tracker:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi

That would make it much easier for developers to talk to you. That developers know better what corner-case problems with the user-interface are known and what is being planned to prevent them. All I know at present is that things like trying to close windows (or the Claws Mail main window) with multiple mouse-clicks while it is still working on something can become problematic. For this particular problem, the backtrace referred to exiting Claws Mail and unloading plug-ins, and apparently the main window key press event came afterwards.
Comment 10 Fedora End Of Life 2013-07-03 15:41:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 14:30:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.